#!/mnt/syb8634/server/php5-cgi -qd register_argc_argv=1
<?php
/*
 * Mount Wrapper - Catches when gaya wants to mount an iso image, and mounts
                   the proper share first
 * By: Erik Bernhardson
 * Date: 2-20-2009
 */

define('SYSPATH', dirname(realpath($argv[0])));
define('DEBUG', TRUE);
define('LOG', '/tmp/mono.log');
define('IS_NMT', file_exists('/bin/mono.real'));

ini_set('include_path', SYSPATH);

require_once 'config.php';
/* Default values incase config.php doesn't have them */
if(!defined('REVERT_UDN'))
  define('REVERT_UDN', False);

/* must be after all the define statements */
require_once 'php/utils.php';

function _log($msg) {
  file_put_contents(LOG, "$msg\n", FILE_APPEND);
  echo "$msg\n";
  return $msg;
}

_log("\nStarting Amp_Test.Wrapper: ".implode(' ', $argv));

if(substr($argv[1], 0, 44) == '/opt/sybhttpd/localhost.drives/NETWORK_SHARE') {
  mountFilesystemByPath('file://'.$argv[1]);
} else _log("No Mount appears neccessary");

execute('/bin/amp_test.real', $argv);

