#!/mnt/syb8634/server/php5-cgi -qd register_argc_argv=1
<?php
/*
 * Mount Wrapper - Catches when gaya wants to mount an iso image, and mounts
                   the proper share first
 * By: Erik Bernhardson
 * Date: 2-20-2009
 */

define('SYSPATH', dirname(realpath($argv[0])));
define('DEBUG', TRUE);
define('LOG', '/tmp/mono.log');
define('IS_NMT', file_exists('/bin/mono.real'));

ini_set('include_path', SYSPATH);

require_once 'config.php';
/* Default values incase config.php doesn't have them */
if(!defined('REVERT_UDN'))
  define('REVERT_UDN', False);

/* must be after all the define statements */
require_once 'php/utils.php';

function _log($msg) {
  file_put_contents(LOG, "$msg\n", FILE_APPEND);
  echo "$msg\n";
  return $msg;
}

_log("\nStarting Mount.Wrapper: ".implode(' ', $argv));

if($argc == 5 && $argv[1] == '-o' && substr($argv[3], 0, 9) == '/isolink/' && $argv[4] == '/iso') {
	$link = readlink('/isolink');
	_log('/isolink -> '.$link);
  mountFilesystemByPath('file://'.$link);
} else _log("Unrecognized command line options");

executeMount($argv);

