<?php
/**
* By: Erik Bernhardson
* Date: 01-03-09
*
* Version: 0.1
*/

/**
*@desc m3u class to parse file names and file locations
*/
class m3u {
  private $m3uFile;

  public  $total = 0;
  public  $entries;

  public function __construct($m3uFile) {
    file_exists($m3uFile) or die("Unable to access M3U file");

    $this->m3uFile = file($m3uFile, FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES | FILE_TEXT);
    if(!empty($this->m3uFile))
      $this->Parse();
  }

  public function addFile($title, $file) {
    $this->entries[]['Title'] = $title;
    $idx = end(array_keys($this->entries));
    $this->entries[$idx]['File'] = $file;
  }

  public function Parse() {
    foreach($this->m3uFile as $idx => $line) {
      if(substr($line, 0, 7) == "#EXTINF") {
        $this->addFile(preg_replace("/#EXTINF:\d*,/", "", $line),
                       strtr($this->m3uFile[$idx+1], '\\', '/'));
      }
    }
    $this->total = count($this->entries);
  }
}
?>
