<?php

/*********************************************************
 * This defines the share you want to mount at boot time
 * be sure to type it exactly the same as on your source
 * menu.  Also make sure the names is enclosed in quotes
 * like the example. This share will also be the one viewed
 * when your NMT reboots, so it can also be HARD_DISK
 *
 * example: 
 *   define('BOOT_SHARE', 'vids');
 ********************************************************/

define('BOOT_SHARE', False);


/*********************************************************
 * This instructs the wrapper to backup mono's bookmarks
 * and settings to be restored on reboot
 *
 * example:
 *  define('SAVE_MONO_SETTINGS', False);
 ********************************************************/

define('SAVE_MONO_SETTINGS', True);

/*********************************************************
 * This instructs the wrapper script to persist the 
 * last mounted share information through mounts. With
 * a properly set BOOT_SHARE it should be unneccessary
 *
 * Disabling it will speed up starting videos slightly
 * example: 
 *   define('REVERT_UDN', False);
 ********************************************************/

define('REVERT_UDN', False);
