#!/bin/sh

APPDIR=/share/Apps/Mono.Wrapper

start()
{
    if [ ! -f "/bin/mono.real" ]; then
        # Handles regular videos
        if [ ! -h /bin/mono ]; then
          mv /bin/mono /bin/mono.real
          rm -f /bin/mono
          chmod +x $APPDIR/mono.php
          ln -s $APPDIR/mono.php /bin/mono
          LD_LIBRARY_PATH=/mnt/syb8634/lib /bin/mono -initialize
        fi

        # Handles VIDEO_TS folders
        if [ ! -h /bin/amp_test ]; then
          mv /bin/amp_test /bin/amp_test.real
            rm -f /bin/amp_test
          chmod +x $APPDIR/amp_test.php
          ln -s $APPDIR/amp_test.php /bin/amp_test
        fi

        # Handles ISO's
        rm /bin/mount
        chmod a+x $APPDIR/mount.php
        ln -s $APPDIR/mount.php /bin/mount
    fi
}

stop()
{
    if [ -f "/bin/mono.real" ]; then
        rm /bin/mount
        rm /bin/amp_test
        rm /bin/mono
        
        mv /bin/mono.real /bin/mono
        mv /bin/amp_test.real /bin/amp_test
        ln -s /bin/busybox /bin/mount
    fi
}

case "$1" in
    start)
    start
    ;;
    
    stop)
    stop
    ;;
    
    restart)
    stop
    sleep 1
    start
    ;;
esac