<?php
/**
* By: Erik Bernhardson
* Date: 01-03-2008
*
* Version: 0.1
*/

class pls {
  private $plsFile;

  public  $total = 0;
  public  $entries;

  public function __construct($plsFile) {
    file_exists($plsFile)) or die("Unable to access PLS file");

    $this->plsFile = file_get_contents($plsFile);
    $this->Parse();
  }

  private function Parse() {
    preg_match_all('/(File|Title|Length)(\d+)=(.*)\n/i', $this->plsFile, $matches);
    $c = count($matches[0]);
    for($i=0;$i<$c;$i++) {
      $category = trim($matches[1][$i]);
      $idx = $matches[2][$i];
      $value = trim($matches[3][$i]);
      if($category == 'File')
        $value = strtr($value, '\\', '/');
      $this->entries[$idx][$category] = $value;
    }
    $this->total = count($this->entries);
  }
}

?>
